.\" Man page generated from reStructuredText.
.
.TH "CWB_MKREP" "1" "Nov 25, 2022" "cWB-6.4.2" "coherent WaveBurst"
.SH NAME
cwb_mkrep \- cWB Documentation
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.nf

\fBUsage\fP

.fi
.sp
.sp
This command creates a custom index html page with the standard cWB banner.
.nf

\fBSyntax\fP

.fi
.sp
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.IP \(bu 2
\fBcwb_mkrep path/file.html\fP
.sp
\fBpath/file.html\fP : this is the full path of output html file
.UNINDENT
.UNINDENT
.UNINDENT
.sp
\fBExample\fP
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
In this example we want to create an index html page with the standard cWB banner which includes
the html file created (without option \(aqheader\(aq) in the example cwb_mkhtml.

Here are the steps :

* cd to the working directory

  cd EXAMPLE

* create config/user_parameters.C

  {
    simulation = \-1;      // super report mode
  }

* create config/user_pparameters.C

  #define RUN_LABEL "SREPORT"

  {
    pp_sreport[0] = " \-\-link https://ldas\-jobs.ligo.caltech.edu/~albert.enstein/  \e
                     LSC/reports/EXAMPLE/postprod/example/ ";
    pp_sreport[0]+= " \-\-name index.html \-\-label my\-example";
  }

  NOTE : insert a space at the beginning of each pp_sreport string !!!

  See this link to know how to use pp_sreport

* create html file

  cwb_mkhtml report/postprod/index.html

If this file has been produced in ATLAS it can be browsed at the following link :

  https://ldas\-jobs.ligo.caltech.edu/~albert.einstein/LSC/reports/EXAMPLE/postprod/index.html
.ft P
.fi
.UNINDENT
.UNINDENT
.SH AUTHOR
Gabriele Vedovato
.SH COPYRIGHT
2018, cWB Team
.\" Generated by docutils manpage writer.
.
